
import { sprintf, __ } from '@wordpress/i18n';
import { registerPaymentMethod } from '@woocommerce/blocks-registry';
import { decodeEntities } from '@wordpress/html-entities';
import { getSetting } from '@woocommerce/settings';

// const settings = getSetting( 'bankful_hosted_gateway_data', {} );
const settings = getSetting('bankful_credit_card_data', {});

const defaultLabel = __(
	'Bankful Payments',
	'woo-gutenberg-products-block'
);

const label = decodeEntities(settings.title) || defaultLabel;
/**
 * Content component
 */
const Content = () => {
	const test =
		<div>
			<div class="fb_full_row form-row form-row-wide">
				<label class="bf_cc_labels">Card Number <span class="required">*</span></label>
				<input class="cc_input_full" id="bfws_ccNumber" name="bfws_ccNumber" type="text" autocomplete="off" pattern="[0-9]{12,19}" placeholder="Please enter valid Card Number" />
			</div>
			<div class="fb_half_row form-row form-row-first validate-required">
				<label class="bf_cc_labels" for="bfws_expiration">Expiry Date <span class="required">*</span></label>
				<select id="cc-exp-month" class="txt cc_input_half" name="bfws_exp_month">
					<option value="01">Jan</option>
					<option value="02">Feb</option>
					<option value="03">Mar</option>
					<option value="04">Apr</option>
					<option value="05">May</option>
					<option value="06">Jun</option>
					<option value="07">Jul</option>
					<option value="08">Aug</option>
					<option value="09">Sep</option>
					<option value="10">Oct</option>
					<option value="11">Nov</option>
					<option value="12">Dec</option>
				</select>
				<select id="cc-exp-year" name="bfws_exp_year" class="cc_input_half txt">
					<option value="2023">2023</option>
					<option value="2024">2024</option>
					<option value="2025">2025</option>
					<option value="2026">2026</option>
					<option value="2027">2027</option>
					<option value="2028">2028</option>
					<option value="2029">2029</option>
					<option value="2030">2030</option>
					<option value="2031">2031</option>
					<option value="2032">2032</option>
					<option value="2033">2033</option>
					<option value="2034">2034</option>
					<option value="2035">2035</option>
					<option value="2036">2036</option>
					<option value="2037">2037</option>
					<option value="2038">2038</option>
					<option value="2039">2039</option>
					<option value="2040">2040</option>
					<option value="2041">2041</option>
					<option value="2042">2042</option>
					<option value="2043">2043</option>
				</select>
			</div>
			<div class="fb_half_row form-row form-row-last">
				<label class="bf_cc_labels">Card Code (CVV) <span class="required">*</span></label>
				<input id="bfws_cvv" name="bfws_cvv" type="password" maxlength="4" size="4" pattern="[0-9]+" required autocomplete="off" placeholder="CVV" class="cc_input_full" />
			</div>
			<input type="hidden" value="' . esc_attr($form_nonce) . '" name="bf_cc_nonce" />
			<div class="clear"></div>
		</div>;
	// decodeEntities(settings.description || '');
	return test;
};
/**
 * Label component
 *
 * @param {*} props Props from payment API.
 */
const Label = (props) => {
	const { PaymentMethodLabel } = props.components;
	return <PaymentMethodLabel text={label} />;
};

/**
 * Bankful payment method config object.
 */
const Bankful = {
	name: "bankful_credit_card",
	label: <Label />,
	content: <Content />,
	edit: <Content />,
	canMakePayment: () => true,
	ariaLabel: label,
	supports: {
		features: settings.supports,
	},
};
// /**
//  * Bankful payment method config object.
//  */
// const Bankful = {
// 	name: "bankful_hosted_gateway",
// 	label: <Label />,
// 	content: <Content />,
// 	edit: <Content />,
// 	canMakePayment: () => true,
// 	ariaLabel: label,
// 	supports: {
// 		features: settings.supports,
// 	},
// };

registerPaymentMethod(Bankful);
